<?php

require_once dirname(__FILE__).'/SiteproBuilder.php';

error_reporting(E_ALL);
ini_set('display_errors', true);
date_default_timezone_set('Europe/Vilnius');

$sitepro = &SiteproBuilder::getInstance();
/** @var SiteproInternalApi */
$api = $sitepro->getModule()->getApi();

$vars = array();
if (isset($_SERVER['POST'])) {
	parse_str($_SERVER['POST'], $vars);
}
$password = (isset($vars['passwd']) && $vars['passwd']) ? $vars['passwd'] : '';
if ($password) $api->setPassword($password);

$sitepro->addPackage('siteprobuilder', array(
	'type' => 'checkbox',
	'string' => 'Site Builder',
	'desc' => '',
	'checked' => 'yes'
));

$sitepro->setLoginKey($sitepro->getModule()->createLoginKey());
