<?php

error_reporting(E_ALL);
ini_set('display_errors', true);
ini_set('error_log', __DIR__.'/php_errors.log');
ini_set('log_errors', true);
date_default_timezone_set('Europe/Vilnius');

if (isset($_SERVER['QUERY_STRING'])) parse_str($_SERVER['QUERY_STRING'], $_GET);
if (isset($_SERVER['POST'])) parse_str($_SERVER['POST'], $_POST);

require_once dirname(dirname(__FILE__)).'/include/SiteproBuilder.php';

$sitepro = &SiteproBuilder::getInstance();
$sitepro->getModule()->setup(
	'http://builder.getyourown.store/api/',
	'apikey0',
	'mskQiH.M/zQ/yoHFQVxjy7b2TxBYRBkBRBH.x41m8N.dkuCo',
	117616,
	null
);

if (isset($_GET['run']) || isset($_GET['d'])) {
	$sitepro->run();
	exit();
}

list($ru) = explode('?', $_SERVER['REQUEST_URI'], 2);
if (!preg_match('#.*/index.[^\.]+#i', $ru)) {
	$ru = rtrim($ru, '/').'/index.html';
}
$currUrl = dirname($ru).(defined('SITEPROBUILDER_NO_BASH') ? '/index2.raw' : '/index.raw').'?domain='.$sitepro->getDomain();
// $currUrl = dirname($ru).'/?domain='.$sitepro->getDomain();

if (!empty(($subdomains = $sitepro->getModule()->getSubdomains($sitepro->getDomain())))) {
	$list = array_merge(array((object) array('id' => null, 'name' => $sitepro->getDomain())), $subdomains);
?>
<style>
.sp-content {
	font-family: "Open Sans", Tahoma, sans-serif;
}
.sp-table td {
	padding: 3px 0;
}
</style>
<div class="sp-content">
	<p>Choose domain/subdomain:</p>
	<table class="sp-table list table-highlight" cellpadding="0" cellspacing="0">
		<tbody>
			<?php foreach ($list as $li): ?>
			<tr><td class="list">
				<a class="list" href="<?php echo htmlspecialchars($currUrl.($li->id ? ('&sd='.$li->id) : '').'&run=1'); ?>" target="_self"><?php echo $li->name; ?></a>
			</td></tr>
			<?php endforeach; ?>
		</tbody>
	</table>
</div>
<?php
	return;
}
?>
<script type="text/javascript">
	document.location = '<?php echo $currUrl.'&run=1'; ?>';
</script>